Gentoo Archives: gentoo-java

From: Vlastimil Babka <caster@g.o>
To: Alistair Bush <ali_bush@g.o>
Cc: Alex Legler <a3li@g.o>, java@g.o, Gentoo Security <security@g.o>, gentoo-java <gentoo-java@l.g.o>
Subject: [gentoo-java] Re: Java 5 EOL; Java GLSA
Date: Sat, 03 Oct 2009 20:55:00
Alistair Bush wrote:
>> On Sun, 23 Aug 2009 22:58:09 +1200, Alistair Bush <ali_bush@g.o> >> >> wrote: >>> Since it has been nearly completely implemented. Just need to >>> improve how users interact with it. [1] It is entirely my fault >>> that this is not already in use as I should have pushed this. I >>> will attempt to do the require eclass change and revbump the latest >>> java-config with a patch this week. >> What is the status here? > > java-config and documentation are done.
Great, thanks! Does that include eselect java-vm though?
> Next is too start bumping ebuilds and create a news item. > > Do we want to be doing the 1.4 vm's. Really think we should start pushing > them out of the tree by patching ( or removing ) the packages that depend on > them. I did 2 today, openjms and something ( openjms wasn't even a patch but > rather a property passed to ant ). > > Alistair.
I agree that we should get rid of 1.4 completely. Then we can see about 1.5. Last rited 3 packages so far, removed old versions of others, will try to continue. With Betelgeuse we agreed that java5 USE flag should go away as well, so I'll be removing it, and defaulting to 1.5. Vlastimil